<!DOCTYPE html>
<html lang="en" xmlns:th="http://www.thymeleaf.org"
      xmlns:sec="http://www.thymeleaf.org/extras/spring-security">
<head>
    <th:block th:include="~{fragments/head}"></th:block>
    <title>SafetyCar</title>
    <script src='https://www.google.com/recaptcha/api.js'></script>
</head>
<body>

<th:block th:include="~{fragments/header}"></th:block>

<main id="main">

    <!-- ======= Breadcrumbs ======= -->
    <section id="breadcrumbs" class="breadcrumbs">
        <div class="container">

            <div class="d-flex justify-content-between align-items-center">
                <h2>Log in</h2>
                <ol>
                    <li><a href="/">Home</a></li>
                    <li>Log in</li>
                </ol>
            </div>

        </div>
    </section>
    <!-- End Breadcrumbs -->

    <!-- ======= Log In Section ======= -->
    <section id="contact" class="contact">
        <div class="container">
            <div class="justify-content-center">
                <h5 style="display: flex; justify-content: center">Enter your email and password to log in</h5>
            </div>
            <div class="row mt-5 justify-content-center" data-aos="fade-up">
                <div class="col-lg-10">

                    <form action="#" th:action="@{/authenticate}" method="post" role="form" class="php-email-form">

                        <div class="justify-content-center" style="display: flex; justify-content: center">
                            <i th:if="${param.error}" style="color: red">
                                Wrong username or password.
                            </i>
                            <i th:if="${param.logout}">
                                You have successfully logged out.
                            </i>
                        </div>

                        <div class="form-row justify-content-center">
                            <div class="col-md-6 form-group">
                                <label for="username"><b>Email</b></label>
                                <input type="email" class="form-control" name="username" id="username"
                                       placeholder="Enter your Email"
                                       required/>
                            </div>
                        </div>

                        <div class="form-row justify-content-center">
                            <div class="col-md-6 form-group">
                                <label for="password"><b>Password</b></label>
                                <input type="password" class="form-control" name="password"
                                       id="password"
                                       placeholder="Enter your password"
                                       required/>
                            </div>
                        </div>

                        <div class="mb-3">
                            <div class="loading">Loading</div>
                            <div class="error-message"></div>
                            <div class="sent-message">You have successfully logged in
                            </div>
                        </div>
                        <div class="text-center">
                            <button type="submit">Log in</button>
                        </div>
                        <br>
                        <div class="form-row justify-content-center">
                            <p>Forgot password? <a href="/profile/forgot-password">Reset</a></p>
                        </div>
                        <div class="form-row justify-content-center">
                            <p>Don't have an account yet? <a href="/register">Register.</a></p>
                        </div>
                    </form>
                </div>
            </div>
        </div>
    </section>
    <!-- End Log In Section -->

</main>
<!-- End #main -->

<th:block th:include="~{fragments/footer-js-page-imports}"></th:block>
<script type="text/javascript">
    var offer = document.getElementById("login-active")
    offer.classList.add("active")
</script>
</body>
</html>
